html {
    font-family:Arial, Helvetica, sans-serif;
}
body {
    overflow-x: hidden;
    overflow-y: hidden;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height:100vh;
    background: linear-gradient(280.03deg, #42275a , #734b6d);
}
.boxmenu {
    margin-top: 0;
    background-repeat: no-repeat;
    padding:50px;
    display: flex;
    justify-content: center;
    align-items: center;
}
#main-box {
    color  : #dec6e7;
    background: rgba(30, 20, 40, 0.3);
        backdrop-filter: blur(15px);
        --webkit-backdrop-filter: blur(15px);

    max-width:90%;
    width: 600px;
    border-radius: 20px;
    box-shadow: 
        0 20px 60px rgba(0, 0, 0, 0.6), /* Main depth */
        0 0 20px rgba(186, 104, 200, 0.1); /* Subtle purple aura */
    border: 1px solid rgba(222, 198, 231, 0.2);
    padding: 40px;
    text-align: center;

}

.menu {
    min-height: 50px;
    min-width: 200px;
    width: auto;
    height: auto;
    display:flex;
    align-items: center;
    flex-direction: column;
}
.buttons {
    display: flex;
    justify-content: center;
    align-items: center;

    margin: 10px;
    padding: 10px 20px;
    width: 200px;
    min-height: 55px;

    background-color: #42275a;
    color: #dec6e7;
    font-size: 1.1rem;
    text-decoration: none;

    border: 1px solid rgba(0, 0, 0, 0.5);
    border-radius: 10px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.3);

    cursor: pointer;
    transition: all 0.3s ease-in-out;
    outline: none;
}
.buttons:hover {
    background-color: #51ac14;
    color: #dec6e7;
    border: 1px solid #000000fe;

    transform: translateY(-3px);
    box-shadow: 0 8px 25px #51a21480;

    animation-name: animHover;
    animation-duration: 0.5s;
}

.buttons:active {
    transform: translateY(1px);
    box-shadow: 0 4px 15px rgba(81, 162, 20 , 0.5);

    animation-name: animActive;
    animation-duration: 0.2s;
}

.gif-base {
    position: absolute;
    background-size: contain;
    background-repeat: no-repeat;
    z-index: 10;
    pointer-events: none;
}

#gif1 {
    left: 100px;
    bottom: 300px;
    width: 150px;
    height: 150px;
    background-image: url(https://media.giphy.com/media/v1.Y2lkPWVjZjA1ZTQ3cXlvejRndDU5bnYya2doMW84a2k5YWZvNGluZWN1cDNnNzZpbnZtayZlcD12MV9zdGlja2Vyc19zZWFyY2gmY3Q9cw/eFmrf4IEhck8HbcArs/giphy.gif);
    
}
#gif2 {
    height: 150px;
    width: 150px;
    right: 200px;
    top: 500px;
    background-image: url(https://media.tenor.com/dYXbUsD24hcAAAAj/projekt-melody-projekt.gif);
}
#gif3 {
    right: 400px;
    top: 150px;
    width: 200px;
    height: 200px;
    background-image: url(https://media.tenor.com/KvNTlUYaCJoAAAAi/cherriskye-dance.gif);
}

@keyframes animHover {
    0% {background-color: #42275A;
            border: 1px solid #42275a00;
        }
    100% {background-color: #51ac14;
            border: 1px solid #000000fe;
        }
}

